// Code generated by protoc-gen-go.
// source: google.golang.org/genproto/googleapis/appengine/logging/v1/request_log.proto
// DO NOT EDIT!

/*
Package google_appengine_logging_v1 is a generated protocol buffer package.

It is generated from these files:
	google.golang.org/genproto/googleapis/appengine/logging/v1/request_log.proto

It has these top-level messages:
	LogLine
	SourceLocation
	SourceReference
	RequestLog
*/
package google_appengine_logging_v1

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import google_logging_type "google.golang.org/genproto/googleapis/logging/type"
import google_protobuf1 "github.com/golang/protobuf/ptypes/duration"
import google_protobuf2 "github.com/golang/protobuf/ptypes/timestamp"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Application log line emitted while processing a request.
type LogLine struct {
	// Approximate time when this log entry was made.
	Time *google_protobuf2.Timestamp `protobuf:"bytes,1,opt,name=time" json:"time,omitempty"`
	// Severity of this log entry.
	Severity google_logging_type.LogSeverity `protobuf:"varint,2,opt,name=severity,enum=google.logging.type.LogSeverity" json:"severity,omitempty"`
	// App-provided log message.
	LogMessage string `protobuf:"bytes,3,opt,name=log_message,json=logMessage" json:"log_message,omitempty"`
	// Where in the source code this log message was written.
	SourceLocation *SourceLocation `protobuf:"bytes,4,opt,name=source_location,json=sourceLocation" json:"source_location,omitempty"`
}

func (m *LogLine) Reset()                    { *m = LogLine{} }
func (m *LogLine) String() string            { return proto.CompactTextString(m) }
func (*LogLine) ProtoMessage()               {}
func (*LogLine) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *LogLine) GetTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.Time
	}
	return nil
}

func (m *LogLine) GetSourceLocation() *SourceLocation {
	if m != nil {
		return m.SourceLocation
	}
	return nil
}

// Specifies a location in a source code file.
type SourceLocation struct {
	// Source file name. Depending on the runtime environment, this might be a
	// simple name or a fully-qualified name.
	File string `protobuf:"bytes,1,opt,name=file" json:"file,omitempty"`
	// Line within the source file.
	Line int64 `protobuf:"varint,2,opt,name=line" json:"line,omitempty"`
	// Human-readable name of the function or method being invoked, with optional
	// context such as the class or package name. This information is used in
	// contexts such as the logs viewer, where a file and line number are less
	// meaningful. The format can vary by language. For example:
	// `qual.if.ied.Class.method` (Java), `dir/package.func` (Go), `function`
	// (Python).
	FunctionName string `protobuf:"bytes,3,opt,name=function_name,json=functionName" json:"function_name,omitempty"`
}

func (m *SourceLocation) Reset()                    { *m = SourceLocation{} }
func (m *SourceLocation) String() string            { return proto.CompactTextString(m) }
func (*SourceLocation) ProtoMessage()               {}
func (*SourceLocation) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

// A reference to a particular snapshot of the source tree used to build and
// deploy an application.
type SourceReference struct {
	// Optional. A URI string identifying the repository.
	// Example: "https://github.com/GoogleCloudPlatform/kubernetes.git"
	Repository string `protobuf:"bytes,1,opt,name=repository" json:"repository,omitempty"`
	// The canonical and persistent identifier of the deployed revision.
	// Example (git): "0035781c50ec7aa23385dc841529ce8a4b70db1b"
	RevisionId string `protobuf:"bytes,2,opt,name=revision_id,json=revisionId" json:"revision_id,omitempty"`
}

func (m *SourceReference) Reset()                    { *m = SourceReference{} }
func (m *SourceReference) String() string            { return proto.CompactTextString(m) }
func (*SourceReference) ProtoMessage()               {}
func (*SourceReference) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

// Complete log information about a single HTTP request to an App Engine
// application.
type RequestLog struct {
	// Application that handled this request.
	AppId string `protobuf:"bytes,1,opt,name=app_id,json=appId" json:"app_id,omitempty"`
	// Module of the application that handled this request.
	ModuleId string `protobuf:"bytes,37,opt,name=module_id,json=moduleId" json:"module_id,omitempty"`
	// Version of the application that handled this request.
	VersionId string `protobuf:"bytes,2,opt,name=version_id,json=versionId" json:"version_id,omitempty"`
	// Globally unique identifier for a request, which is based on the request
	// start time.  Request IDs for requests which started later will compare
	// greater as strings than those for requests which started earlier.
	RequestId string `protobuf:"bytes,3,opt,name=request_id,json=requestId" json:"request_id,omitempty"`
	// Origin IP address.
	Ip string `protobuf:"bytes,4,opt,name=ip" json:"ip,omitempty"`
	// Time when the request started.
	StartTime *google_protobuf2.Timestamp `protobuf:"bytes,6,opt,name=start_time,json=startTime" json:"start_time,omitempty"`
	// Time when the request finished.
	EndTime *google_protobuf2.Timestamp `protobuf:"bytes,7,opt,name=end_time,json=endTime" json:"end_time,omitempty"`
	// Latency of the request.
	Latency *google_protobuf1.Duration `protobuf:"bytes,8,opt,name=latency" json:"latency,omitempty"`
	// Number of CPU megacycles used to process request.
	MegaCycles int64 `protobuf:"varint,9,opt,name=mega_cycles,json=megaCycles" json:"mega_cycles,omitempty"`
	// Request method. Example: `"GET"`, `"HEAD"`, `"PUT"`, `"POST"`, `"DELETE"`.
	Method string `protobuf:"bytes,10,opt,name=method" json:"method,omitempty"`
	// Contains the path and query portion of the URL that was requested. For
	// example, if the URL was "http://example.com/app?name=val", the resource
	// would be "/app?name=val".  The fragment identifier, which is identified by
	// the `#` character, is not included.
	Resource string `protobuf:"bytes,11,opt,name=resource" json:"resource,omitempty"`
	// HTTP version of request. Example: `"HTTP/1.1"`.
	HttpVersion string `protobuf:"bytes,12,opt,name=http_version,json=httpVersion" json:"http_version,omitempty"`
	// HTTP response status code. Example: 200, 404.
	Status int32 `protobuf:"varint,13,opt,name=status" json:"status,omitempty"`
	// Size in bytes sent back to client by request.
	ResponseSize int64 `protobuf:"varint,14,opt,name=response_size,json=responseSize" json:"response_size,omitempty"`
	// Referrer URL of request.
	Referrer string `protobuf:"bytes,15,opt,name=referrer" json:"referrer,omitempty"`
	// User agent that made the request.
	UserAgent string `protobuf:"bytes,16,opt,name=user_agent,json=userAgent" json:"user_agent,omitempty"`
	// The logged-in user who made the request.
	//
	// Most likely, this is the part of the user's email before the `@` sign.  The
	// field value is the same for different requests from the same user, but
	// different users can have similar names.  This information is also
	// available to the application via the App Engine Users API.
	//
	// This field will be populated starting with App Engine 1.9.21.
	Nickname string `protobuf:"bytes,40,opt,name=nickname" json:"nickname,omitempty"`
	// File or class that handled the request.
	UrlMapEntry string `protobuf:"bytes,17,opt,name=url_map_entry,json=urlMapEntry" json:"url_map_entry,omitempty"`
	// Internet host and port number of the resource being requested.
	Host string `protobuf:"bytes,20,opt,name=host" json:"host,omitempty"`
	// An indication of the relative cost of serving this request.
	Cost float64 `protobuf:"fixed64,21,opt,name=cost" json:"cost,omitempty"`
	// Queue name of the request, in the case of an offline request.
	TaskQueueName string `protobuf:"bytes,22,opt,name=task_queue_name,json=taskQueueName" json:"task_queue_name,omitempty"`
	// Task name of the request, in the case of an offline request.
	TaskName string `protobuf:"bytes,23,opt,name=task_name,json=taskName" json:"task_name,omitempty"`
	// Whether this was a loading request for the instance.
	WasLoadingRequest bool `protobuf:"varint,24,opt,name=was_loading_request,json=wasLoadingRequest" json:"was_loading_request,omitempty"`
	// Time this request spent in the pending request queue.
	PendingTime *google_protobuf1.Duration `protobuf:"bytes,25,opt,name=pending_time,json=pendingTime" json:"pending_time,omitempty"`
	// If the instance processing this request belongs to a manually scaled
	// module, then this is the 0-based index of the instance. Otherwise, this
	// value is -1.
	InstanceIndex int32 `protobuf:"varint,26,opt,name=instance_index,json=instanceIndex" json:"instance_index,omitempty"`
	// Whether this request is finished or active.
	Finished bool `protobuf:"varint,27,opt,name=finished" json:"finished,omitempty"`
	// Whether this is the first `RequestLog` entry for this request.  If an
	// active request has several `RequestLog` entries written to Stackdriver
	// Logging, then this field will be set for one of them.
	First bool `protobuf:"varint,42,opt,name=first" json:"first,omitempty"`
	// An identifier for the instance that handled the request.
	InstanceId string `protobuf:"bytes,28,opt,name=instance_id,json=instanceId" json:"instance_id,omitempty"`
	// A list of log lines emitted by the application while serving this request.
	Line []*LogLine `protobuf:"bytes,29,rep,name=line" json:"line,omitempty"`
	// App Engine release version.
	AppEngineRelease string `protobuf:"bytes,38,opt,name=app_engine_release,json=appEngineRelease" json:"app_engine_release,omitempty"`
	// Stackdriver Trace identifier for this request.
	TraceId string `protobuf:"bytes,39,opt,name=trace_id,json=traceId" json:"trace_id,omitempty"`
	// Source code for the application that handled this request. There can be
	// more than one source reference per deployed application if source code is
	// distributed among multiple repositories.
	SourceReference []*SourceReference `protobuf:"bytes,41,rep,name=source_reference,json=sourceReference" json:"source_reference,omitempty"`
}

func (m *RequestLog) Reset()                    { *m = RequestLog{} }
func (m *RequestLog) String() string            { return proto.CompactTextString(m) }
func (*RequestLog) ProtoMessage()               {}
func (*RequestLog) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *RequestLog) GetStartTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.StartTime
	}
	return nil
}

func (m *RequestLog) GetEndTime() *google_protobuf2.Timestamp {
	if m != nil {
		return m.EndTime
	}
	return nil
}

func (m *RequestLog) GetLatency() *google_protobuf1.Duration {
	if m != nil {
		return m.Latency
	}
	return nil
}

func (m *RequestLog) GetPendingTime() *google_protobuf1.Duration {
	if m != nil {
		return m.PendingTime
	}
	return nil
}

func (m *RequestLog) GetLine() []*LogLine {
	if m != nil {
		return m.Line
	}
	return nil
}

func (m *RequestLog) GetSourceReference() []*SourceReference {
	if m != nil {
		return m.SourceReference
	}
	return nil
}

func init() {
	proto.RegisterType((*LogLine)(nil), "google.appengine.logging.v1.LogLine")
	proto.RegisterType((*SourceLocation)(nil), "google.appengine.logging.v1.SourceLocation")
	proto.RegisterType((*SourceReference)(nil), "google.appengine.logging.v1.SourceReference")
	proto.RegisterType((*RequestLog)(nil), "google.appengine.logging.v1.RequestLog")
}

func init() {
	proto.RegisterFile("google.golang.org/genproto/googleapis/appengine/logging/v1/request_log.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 929 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x8c, 0x54, 0x6f, 0x6f, 0x1c, 0xb5,
	0x13, 0xd6, 0xe5, 0xef, 0x9d, 0x2f, 0xb9, 0xa4, 0xfe, 0xb5, 0xfd, 0x39, 0x09, 0xa5, 0x47, 0xa0,
	0xe5, 0x80, 0x6a, 0x4f, 0x4d, 0x41, 0xa2, 0xa2, 0x6f, 0x28, 0xe4, 0xc5, 0x49, 0x57, 0x54, 0x36,
	0x15, 0xbc, 0x42, 0x2b, 0x67, 0x77, 0xce, 0xb1, 0xba, 0x6b, 0xbb, 0xb6, 0x37, 0xe5, 0xfa, 0x41,
	0xf8, 0x98, 0x7c, 0x06, 0xe4, 0xb1, 0xf7, 0x42, 0x84, 0x94, 0xf4, 0x9d, 0xe7, 0x99, 0x79, 0x66,
	0xc6, 0xe3, 0xc7, 0x43, 0xe6, 0x42, 0x6b, 0x51, 0x43, 0x26, 0x74, 0xcd, 0x95, 0xc8, 0xb4, 0x15,
	0x53, 0x01, 0xca, 0x58, 0xed, 0xf5, 0x34, 0xba, 0xb8, 0x91, 0x6e, 0xca, 0x8d, 0x01, 0x25, 0xa4,
	0x82, 0x69, 0xad, 0x85, 0x90, 0x4a, 0x4c, 0x2f, 0x9f, 0x4e, 0x2d, 0xbc, 0x6b, 0xc1, 0xf9, 0xa2,
	0xd6, 0x22, 0x43, 0x06, 0x3d, 0x4a, 0xd9, 0x56, 0xe1, 0x59, 0x0a, 0xcf, 0x2e, 0x9f, 0x1e, 0x9e,
	0x7e, 0x5c, 0xa9, 0xae, 0x80, 0x5f, 0x1a, 0xac, 0x56, 0x38, 0xb8, 0x04, 0x2b, 0xfd, 0x32, 0xd6,
	0x38, 0x7c, 0x2e, 0xa4, 0xbf, 0x68, 0xcf, 0xb3, 0x52, 0x37, 0xd3, 0x98, 0x6a, 0x8a, 0x8e, 0xf3,
	0x76, 0x31, 0x35, 0x81, 0xe4, 0xa6, 0x55, 0x6b, 0xb9, 0x97, 0x5a, 0xad, 0x0e, 0x89, 0xfa, 0xc3,
	0xed, 0x54, 0x2f, 0x1b, 0x70, 0x9e, 0x37, 0xe6, 0xea, 0x14, 0xc9, 0xc7, 0x7f, 0xf7, 0xc8, 0xf6,
	0x5c, 0x8b, 0xb9, 0x54, 0x40, 0x33, 0xb2, 0x11, 0xdc, 0xac, 0x37, 0xee, 0x4d, 0x86, 0x27, 0x87,
	0x59, 0xba, 0x59, 0x97, 0x2c, 0x7b, 0xd3, 0x71, 0x73, 0x8c, 0xa3, 0x2f, 0x48, 0xbf, 0xbb, 0x05,
	0x5b, 0x1b, 0xf7, 0x26, 0xa3, 0x93, 0x71, 0xc7, 0xe9, 0x06, 0x14, 0xca, 0x67, 0x73, 0x2d, 0xce,
	0x52, 0x5c, 0xbe, 0x62, 0xd0, 0x87, 0x64, 0x18, 0xe6, 0xd0, 0x80, 0x73, 0x5c, 0x00, 0x5b, 0x1f,
	0xf7, 0x26, 0x83, 0x9c, 0xd4, 0x5a, 0xbc, 0x8a, 0x08, 0x7d, 0x43, 0xf6, 0x9c, 0x6e, 0x6d, 0x09,
	0x45, 0xad, 0x4b, 0xbc, 0x30, 0xdb, 0xc0, 0xce, 0xbe, 0xc9, 0x6e, 0x78, 0x90, 0xec, 0x0c, 0x39,
	0xf3, 0x44, 0xc9, 0x47, 0xee, 0x9a, 0x7d, 0xfc, 0x07, 0x19, 0x5d, 0x8f, 0xa0, 0x94, 0x6c, 0x2c,
	0x64, 0x1d, 0xaf, 0x3d, 0xc8, 0xf1, 0x1c, 0xb0, 0x5a, 0x2a, 0xc0, 0x6b, 0xad, 0xe7, 0x78, 0xa6,
	0x9f, 0x93, 0xdd, 0x45, 0xab, 0xca, 0xc0, 0x29, 0x14, 0x6f, 0xba, 0x96, 0x77, 0x3a, 0xf0, 0x17,
	0xde, 0xc0, 0x71, 0x4e, 0xf6, 0x62, 0xfa, 0x1c, 0x16, 0x60, 0x41, 0x95, 0x40, 0x3f, 0x25, 0xc4,
	0x82, 0xd1, 0x4e, 0x7a, 0x6d, 0x97, 0xa9, 0xca, 0xbf, 0x90, 0x30, 0x08, 0x0b, 0x97, 0xd2, 0x85,
	0xbc, 0xb2, 0xc2, 0x92, 0x18, 0x10, 0xa1, 0x59, 0x75, 0xfc, 0xd7, 0x80, 0x90, 0x3c, 0xaa, 0x72,
	0xae, 0x05, 0xbd, 0x47, 0xb6, 0xb8, 0x31, 0x21, 0x34, 0xe6, 0xda, 0xe4, 0xc6, 0xcc, 0x2a, 0x7a,
	0x44, 0x06, 0x8d, 0xae, 0xda, 0x1a, 0x82, 0xe7, 0x11, 0x7a, 0xfa, 0x11, 0x98, 0x55, 0xf4, 0x01,
	0x21, 0x97, 0x60, 0xaf, 0x97, 0x18, 0x24, 0x24, 0xba, 0x3b, 0xd9, 0xcb, 0x2a, 0xdd, 0x6b, 0x90,
	0x90, 0x59, 0x45, 0x47, 0x64, 0x4d, 0x1a, 0x1c, 0xfe, 0x20, 0x5f, 0x93, 0x86, 0x3e, 0x27, 0xc4,
	0x79, 0x6e, 0x7d, 0x81, 0x72, 0xd9, 0xba, 0x55, 0x2e, 0x03, 0x8c, 0x0e, 0x36, 0xfd, 0x8e, 0xf4,
	0x41, 0x55, 0x91, 0xb8, 0x7d, 0x2b, 0x71, 0x1b, 0x54, 0x85, 0xb4, 0x67, 0x64, 0xbb, 0xe6, 0x1e,
	0x54, 0xb9, 0x64, 0x7d, 0x64, 0x1d, 0xfc, 0x87, 0xf5, 0x73, 0xfa, 0x15, 0x79, 0x17, 0x19, 0x06,
	0xdb, 0x80, 0xe0, 0x45, 0xb9, 0x2c, 0x6b, 0x70, 0x6c, 0x80, 0x6f, 0x49, 0x02, 0xf4, 0x13, 0x22,
	0xf4, 0x3e, 0xd9, 0x6a, 0xc0, 0x5f, 0xe8, 0x8a, 0x11, 0xbc, 0x5b, 0xb2, 0xe8, 0x21, 0xe9, 0x5b,
	0x88, 0xba, 0x61, 0xc3, 0x38, 0xc9, 0xce, 0xa6, 0x9f, 0x91, 0x9d, 0x0b, 0xef, 0x4d, 0x91, 0x86,
	0xc7, 0x76, 0xd0, 0x3f, 0x0c, 0xd8, 0x6f, 0x11, 0x0a, 0x69, 0x9d, 0xe7, 0xbe, 0x75, 0x6c, 0x77,
	0xdc, 0x9b, 0x6c, 0xe6, 0xc9, 0x0a, 0x02, 0xb2, 0xe0, 0x8c, 0x56, 0x0e, 0x0a, 0x27, 0x3f, 0x00,
	0x1b, 0x61, 0x47, 0x3b, 0x1d, 0x78, 0x26, 0x3f, 0x40, 0xac, 0xbd, 0x00, 0x6b, 0xc1, 0xb2, 0xbd,
	0xae, 0x76, 0xb4, 0xc3, 0x33, 0xb5, 0x0e, 0x6c, 0xc1, 0x05, 0x28, 0xcf, 0xf6, 0xe3, 0x33, 0x05,
	0xe4, 0xc7, 0x00, 0x04, 0xaa, 0x92, 0xe5, 0x5b, 0xd4, 0xe6, 0x24, 0x52, 0x3b, 0x9b, 0x1e, 0x93,
	0xdd, 0xd6, 0xd6, 0x45, 0xc3, 0x4d, 0x01, 0xca, 0xdb, 0x25, 0xbb, 0x13, 0xfb, 0x6e, 0x6d, 0xfd,
	0x8a, 0x9b, 0xd3, 0x00, 0x05, 0xd1, 0x5f, 0x68, 0xe7, 0xd9, 0xdd, 0xf8, 0x11, 0xc2, 0x39, 0x60,
	0x65, 0xc0, 0xee, 0x8d, 0x7b, 0x93, 0x5e, 0x8e, 0x67, 0xfa, 0x98, 0xec, 0x79, 0xee, 0xde, 0x16,
	0xef, 0x5a, 0x68, 0x21, 0x7e, 0x85, 0xfb, 0x48, 0xd9, 0x0d, 0xf0, 0xaf, 0x01, 0x0d, 0x7f, 0x21,
	0x28, 0x12, 0xe3, 0x30, 0xe2, 0xff, 0xb1, 0xa1, 0x00, 0xa0, 0x33, 0x23, 0xff, 0x7b, 0xcf, 0x5d,
	0x51, 0x6b, 0x5e, 0x49, 0x25, 0x8a, 0x24, 0x36, 0xc6, 0xc6, 0xbd, 0x49, 0x3f, 0xbf, 0xf3, 0x9e,
	0xbb, 0x79, 0xf4, 0x24, 0xe1, 0xd3, 0x17, 0x64, 0xc7, 0x80, 0xc2, 0x58, 0x14, 0xcf, 0xc1, 0x6d,
	0x32, 0x18, 0xa6, 0x70, 0xd4, 0xcf, 0x23, 0x32, 0x92, 0xca, 0x79, 0xae, 0x4a, 0x28, 0xa4, 0xaa,
	0xe0, 0x4f, 0x76, 0x88, 0x4f, 0xb3, 0xdb, 0xa1, 0xb3, 0x00, 0x86, 0x09, 0x2e, 0xa4, 0x92, 0xee,
	0x02, 0x2a, 0x76, 0x84, 0x9d, 0xac, 0x6c, 0x7a, 0x97, 0x6c, 0x2e, 0xa4, 0x75, 0x9e, 0x7d, 0x8d,
	0x8e, 0x68, 0x04, 0x8d, 0x5d, 0x25, 0xae, 0xd8, 0x27, 0xf1, 0xf3, 0xae, 0xb2, 0x56, 0xf4, 0xfb,
	0xb4, 0x49, 0x1e, 0x8c, 0xd7, 0x27, 0xc3, 0x93, 0x2f, 0x6e, 0x5c, 0x5d, 0x69, 0x11, 0xa7, 0x7d,
	0xf3, 0x84, 0xd0, 0xf0, 0xcf, 0x63, 0x58, 0x61, 0xa1, 0x06, 0xee, 0x80, 0x3d, 0xc6, 0x0a, 0xfb,
	0xdc, 0x98, 0x53, 0x74, 0xe4, 0x11, 0xa7, 0x07, 0xa4, 0xef, 0x2d, 0x8f, 0x5d, 0x7c, 0x89, 0x31,
	0xdb, 0x68, 0xcf, 0x2a, 0xfa, 0x3b, 0xd9, 0x4f, 0x8b, 0xd4, 0x76, 0x4b, 0x89, 0x7d, 0x85, 0xed,
	0x3c, 0xf9, 0x88, 0x4d, 0xba, 0x5a, 0x64, 0x79, 0x5a, 0xc7, 0x2b, 0xe0, 0xe5, 0xb7, 0xe4, 0x61,
	0xa9, 0x9b, 0x9b, 0x72, 0xbc, 0xdc, 0xbb, 0x5a, 0x5c, 0xaf, 0xc3, 0x13, 0xbd, 0xee, 0x9d, 0x6f,
	0xe1, 0x5b, 0x3d, 0xfb, 0x27, 0x00, 0x00, 0xff, 0xff, 0x11, 0x12, 0x95, 0x58, 0xa5, 0x07, 0x00,
	0x00,
}
